Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class CharHolder

    java.lang.Object
      |
      +--org.omg.CORBA.CharHolder

All Implemented Interfaces:
  Streamable

public final class CharHolder
extends Object
implements Streamable

A Holder class for a `char` that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `char` as an "out" or "inout" parameter, the programmer must pass an instance of `CharHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

If `myCharHolder` is an instance of `CharHolder`, the value stored in its `value` field can be accessed with `myCharHolder.value`.

Since:
  JDK1.2

Field Summary
`char` | `value` The `char` value held by this `CharHolder` object.

Constructor Summary
`CharHolder()` Constructs a new `CharHolder` object with its `value` field initialized to `0`.
`CharHolder(char initial)` Constructs a new `CharHolder` object for the given `char`.

Method Summary
`void` | `_read(InputStream input)` Reads from `input` and initalizes the value in this `CharHolder` object with the unmarshalled data.
`TypeCode` | `_type()` Returns the `TypeCode` object corresponding to the value held in this `CharHolder` object.
`void` | `_write(OutputStream output)` Marshals to `output` the value in this `CharHolder` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public char value

  The `char` value held by this `CharHolder` object.

Constructor Detail

### CharHolder

    public CharHolder()

  Constructs a new `CharHolder` object with its `value` field initialized to `0`.

### CharHolder

    public CharHolder(char initial)

  Constructs a new `CharHolder` object for the given `char`.
  Parameters:
    `initial` - the `char` with which to initialize the `value` field of the new `CharHolder` object

Method Detail

### _read

    public void _read(InputStream input)

  Reads from `input` and initalizes the value in this `CharHolder` object with the unmarshalled data.
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `input` - the InputStream containing CDR formatted data from the wire

### _write

    public void _write(OutputStream output)

  Marshals to `output` the value in this `CharHolder` object.
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `output` - the OutputStream which will contain the CDR formatted data

### _type

    public TypeCode _type()

  Returns the `TypeCode` object corresponding to the value held in this `CharHolder` object.
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    the TypeCode of the value held in this `CharHolder` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.